package com.alterdekim.flash.decompiler.item.internal;

import com.alterdekim.flash.decompiler.item.ActionPushType;
import com.alterdekim.flash.decompiler.item.ByteCodeItem;
import lombok.AllArgsConstructor;
import lombok.ToString;

import java.util.ArrayDeque;

@ToString
@AllArgsConstructor
public class GetMemberItem extends ByteCodeItem {

    private final ArrayDeque<String> hierarchy;

    @Override
    public ActionPushType getType() {
        return ActionPushType.GET_MEMBER;
    }

    @Override
    public ArrayDeque<String> getValue() {
        return hierarchy;
    }
}
