package com.alterdekim.flash.decompiler.item.internal;

import com.alterdekim.flash.decompiler.item.ActionPushType;
import com.alterdekim.flash.decompiler.item.ByteCodeItem;
import lombok.AllArgsConstructor;
import lombok.ToString;

import java.util.ArrayList;

@ToString
@AllArgsConstructor
public class ConstantPoolItem extends ByteCodeItem {

    private ArrayList<String> val;

    @Override
    public ActionPushType getType() {
        return ActionPushType.CONSTANT_POOL;
    }

    @Override
    public Object getValue() {
        return this.val;
    }
}
